Package org.eclipse.emf.cdo.ui.widgets

## Class SessionComposite

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.emf.cdo.ui.widgets.SessionComposite

- All Implemented Interfaces:
    `Drawable`

      public class SessionComposite
      extends Composite

  Simple `composite` allowing users to introduce connection information with a repository. The widget recalls connection history and provides some additional functionality tweakers, as automatic EPackage registration.
  Since:
    2.0
  Author:
    Victor Roldan Betancort

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.swt.widgets.Control

      `handle`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SessionComposite​(Composite parent, int style)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addListener​(int eventType, Listener listener)` |
    `org.eclipse.net4j.util.ui.widgets.PreferenceButton` | `getAutomaticButton()` |
    `org.eclipse.net4j.util.collection.IHistory<java.lang.String>` | `getConnectorHistory()` |
    `org.eclipse.net4j.util.ui.widgets.HistoryText` | `getConnectorText()` |
    `Label` | `getExampleLabel()` |
    `org.eclipse.net4j.util.collection.IHistory<java.lang.String>` | `getRepositoryHistory()` |
    `org.eclipse.net4j.util.ui.widgets.HistoryText` | `getRepositoryText()` |
    `java.lang.String` | `getSessionDescription()` |
    `boolean` | `isAutomaticRegistry()` |
    `boolean` | `isDescriptionValid()` |
    `void` | `rememberSettings()` |
    `void` | `removeListener​(int eventType, Listener listener)` |

    - ### Methods inherited from class org.eclipse.swt.widgets.Composite

      `changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

    - ### Methods inherited from class org.eclipse.swt.widgets.Scrollable

      `computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

    - ### Methods inherited from class org.eclipse.swt.widgets.Control

      `addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

    - ### Methods inherited from class org.eclipse.swt.widgets.Widget

      `addDisposeListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, reskin, setData, setData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.swt.graphics.Drawable

      `isAutoScalable`

- - ### Constructor Detail

    - #### SessionComposite

          public SessionComposite​(Composite parent,
                                  int style)

  - ### Method Detail

    - #### getConnectorHistory

          public org.eclipse.net4j.util.collection.IHistory<java.lang.String> getConnectorHistory()

    - #### getRepositoryHistory

          public org.eclipse.net4j.util.collection.IHistory<java.lang.String> getRepositoryHistory()

    - #### getConnectorText

          public org.eclipse.net4j.util.ui.widgets.HistoryText getConnectorText()

    - #### getExampleLabel

          public Label getExampleLabel()

    - #### getRepositoryText

          public org.eclipse.net4j.util.ui.widgets.HistoryText getRepositoryText()

    - #### getAutomaticButton

          public org.eclipse.net4j.util.ui.widgets.PreferenceButton getAutomaticButton()

    - #### isAutomaticRegistry

          public boolean isAutomaticRegistry()

    - #### getSessionDescription

          public java.lang.String getSessionDescription()

    - #### isDescriptionValid

          public boolean isDescriptionValid()

      Since:
        3.0

    - #### rememberSettings

          public void rememberSettings()

    - #### addListener

          public void addListener​(int eventType,
                                  Listener listener)

      Overrides:
        `addListener` in class `Widget`

    - #### removeListener

          public void removeListener​(int eventType,
                                     Listener listener)

      Overrides:
        `removeListener` in class `Widget`